#ifndef KYLIN_OS_MANAGER_WEBDRIVERINSTALLWIDGET_H
#define KYLIN_OS_MANAGER_WEBDRIVERINSTALLWIDGET_H

#include <QWidget>
#include <QString>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QIcon>
#include <QLabel>
#include <QUrl>
#include <QMessageBox>
#include <QPushButton>
#include <QVariant>

class WebDriverInstallWidget : public QDialog
{
    Q_OBJECT
public:
    explicit WebDriverInstallWidget(const QString& type, const QString& token, QWidget* parent = nullptr);

private:
    QString m_type;
    QString m_token;
    QLabel *m_iconLabel;
    QLabel *m_textLabel;
    QLabel *m_linkLabel;
    QPushButton *m_okButton;

    void setupUI();
    void setupConnections();
};



#endif //KYLIN_OS_MANAGER_WEBDRIVERINSTALLWIDGET_H
